import React from "react";
import { useTranslation } from "react-i18next";
import PrintCenterJobs from "../print-center-jobs/print-center-jobs.component";

export default function PrintCenterModalComponent({ context }) {
  const { t } = useTranslation();
  const { type } = context;

  let ModalContent;

  switch (type) {
    case "job":
      ModalContent = PrintCenterJobs;
      break;
    default:
      break;
  }
  return (
    <div>
      {ModalContent ? <ModalContent /> : t("printcenter.errors.nocontexttype")}
    </div>
  );
}
